# Records

## Get records

> Retrieve a list of consent records generated by properties within this company

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Pagination":{"type":"object","description":"Pagination metadata","properties":{"current_page":{"type":"number"},"next_page":{"type":"number"},"prev_page":{"type":"number"}}},"Record":{"description":"A consent record object","type":"object","properties":{"receipt_id":{"type":"string"},"receipt_type":{"type":"string","enum":["COOKIE_CONSENT","AGE_CONFIRMATION","WIRETAPPING","VPPA"]},"receipt_status":{"type":"string","enum":["ALLOWED","DENIED","PARTIAL"]},"country":{"type":"string"},"region":{"type":"string"},"jurisdiction":{"type":"string"},"meta":{"type":"object"},"data_collection":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"fields":{"type":"array","items":{"type":"object","properties":{"categories":{"type":"array","items":{"type":"string"}},"consent_type":{"type":"string"},"name":{"type":"string"}}}},"partners":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"usage":{"type":"string"},"url":{"type":"string"}}}},"processors":{"type":"array","items":{"type":"object"}},"purposes":{"type":"array","items":{"type":"object","properties":{"category":{"type":"string"},"is_primary":{"type":"boolean"},"is_profiling":{"type":"boolean"},"legal_base":{"type":"string"},"legal_description":{"type":"string"},"name":{"type":"string"},"status":{"type":"string"},"termination":{"type":"string"}}}}}}},"data_controller":{"type":"object","properties":{"name":{"type":"string"},"logo":{"type":"string","format":"uri"},"phone_number":{"type":"string"},"url":{"type":"string"},"email":{"type":"string"},"address":{"$ref":"#/components/schemas/Address"}}},"signature":{"type":"string"},"subject":{"type":"string"},"subject_auth":{"type":"string"},"subject_data":{"type":"object"},"property_id":{"type":"string","description":"The property that created this record"},"created_at":{"type":"string","format":"date-time","description":"The creation date of this record"}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}}}},"paths":{"/portal/instance/company/records":{"get":{"summary":"Get records","description":"Retrieve a list of consent records generated by properties within this company","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}},{"in":"query","name":"property_id","schema":{"type":"string","description":"Filter results by the given property id"}},{"in":"query","name":"receipt_type","schema":{"type":"string","enum":["COOKIE_CONSENT","AGE_CONFIRMATION","WIRETAPPING","VPPA"],"description":"Filter results by the given receipt type"}},{"in":"query","name":"receipt_status","schema":{"type":"string","enum":["ALLOWED","DENIED","PARTIAL"],"description":"Filter results based on the receipt status"}}],"responses":{"200":{"description":"Result with an array of records","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"meta":{"$ref":"#/components/schemas/Pagination"},"result":{"type":"array","items":{"$ref":"#/components/schemas/Record"}}}}}}}}}}}}
```

## Get record

> Retrieve the information of a receipt record

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Record":{"description":"A consent record object","type":"object","properties":{"receipt_id":{"type":"string"},"receipt_type":{"type":"string","enum":["COOKIE_CONSENT","AGE_CONFIRMATION","WIRETAPPING","VPPA"]},"receipt_status":{"type":"string","enum":["ALLOWED","DENIED","PARTIAL"]},"country":{"type":"string"},"region":{"type":"string"},"jurisdiction":{"type":"string"},"meta":{"type":"object"},"data_collection":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"fields":{"type":"array","items":{"type":"object","properties":{"categories":{"type":"array","items":{"type":"string"}},"consent_type":{"type":"string"},"name":{"type":"string"}}}},"partners":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"usage":{"type":"string"},"url":{"type":"string"}}}},"processors":{"type":"array","items":{"type":"object"}},"purposes":{"type":"array","items":{"type":"object","properties":{"category":{"type":"string"},"is_primary":{"type":"boolean"},"is_profiling":{"type":"boolean"},"legal_base":{"type":"string"},"legal_description":{"type":"string"},"name":{"type":"string"},"status":{"type":"string"},"termination":{"type":"string"}}}}}}},"data_controller":{"type":"object","properties":{"name":{"type":"string"},"logo":{"type":"string","format":"uri"},"phone_number":{"type":"string"},"url":{"type":"string"},"email":{"type":"string"},"address":{"$ref":"#/components/schemas/Address"}}},"signature":{"type":"string"},"subject":{"type":"string"},"subject_auth":{"type":"string"},"subject_data":{"type":"object"},"property_id":{"type":"string","description":"The property that created this record"},"created_at":{"type":"string","format":"date-time","description":"The creation date of this record"}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}}}},"paths":{"/portal/instance/company/records/{id}":{"get":{"summary":"Get record","description":"Retrieve the information of a receipt record","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}},{"in":"path","name":"id","required":true,"schema":{"type":"string","description":"The consent record id"}}],"responses":{"200":{"description":"Result record information","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"$ref":"#/components/schemas/Record"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clym.io/api-reference/instance/records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
